<?php

declare(strict_types=1);

use Phinx\Migration\AbstractMigration;

final class CreateBroker extends AbstractMigration
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * https://book.cakephp.org/phinx/0/en/migrations.html#the-change-method
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change(): void
    {
        $this->table('brokers', ['id' => false, 'primary_key' => ['rut']])
            ->addColumn('rut', 'integer', ['identity' => true, 'signed' => false, 'null' => false])
            ->addColumn('digit', 'string', ['length' => 1, 'null' => false])
            ->addColumn('name', 'string', ['length' => 255, 'null' => false])
            ->create();
    }
}
